People
Delete a CRM Person
Delete a CRM person by ID via the Zeeg CRM API, also removing their notes, activity logs, and company links. This cannot be undone.
DELETE
/
crm
/
people
/
{id}
Delete a CRM person
curl --request DELETE \
--url https://api.zeeg.me/v2/crm/people/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.zeeg.me/v2/crm/people/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zeeg.me/v2/crm/people/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"status": 200,
"message": "Person deleted."
}{
"message": "Unauthenticated."
}{
"success": true,
"message": "<string>",
"status": 123
}{
"success": false,
"message": "Person not found.",
"status": 404
}Permanently deletes a CRM person record and all associated data (notes, activity logs, relationships).
This action is irreversible. All data stored on this person record will be permanently deleted.
Last modified on June 11, 2026
⌘I
Delete a CRM person
